
#            ScoDoc - Gestion de la scolarité

(c) Emmanuel Viennet 1999 - 2021 (voir LICENCE.txt)


Installation: voir instructions à jour sur <https://scodoc.org>

Documentation utilisateur: <https://scodoc.org>

## Branche ScoDoc 8 expérimentale

N'utiliser que pour les développements et tests, dans le cadre de la migration de Zope vers Flask.

Basée sur **python 2.7**.

## Setup (sur Debian 10 / python2.7)

    virtualenv envsco8

    source envsco8/bin/activate

installation:

    pip install flask
    # et pas mal d'autres paquets

donc utiliser:

    pip install -r requirements.txt

pour régénerer ce fichier:

    pip freeze > requirements.txt

## Lancement serveur (développement, sur VM Linux)

    export FLASK_APP=scodoc.py
    export FLASK_ENV=development
    flask run --host=0.0.0.0

## Tests

    python -m unittest tests.test_users









